/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.camera.video;

import static java.lang.annotation.RetentionPolicy.CLASS;

import androidx.annotation.RequiresOptIn;
import androidx.annotation.RestrictTo;

import java.lang.annotation.Retention;

/**
 * Denotes that the methods on retrieving audio amplitude data are experimental and may
 * change in a future release.
 */
@Retention(CLASS)
@RequiresOptIn
@RestrictTo(RestrictTo.Scope.LIBRARY)
public @interface ExperimentalAudioApi {
}
